Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/dockerize: new aport

From: Christian Kampka <christian_at_kampka.net>
Date: Sun, 12 Jul 2015 17:48:13 +0000

https://github.com/jwilder/dockerize
Utility to simplify running applications in docker containers.
---
 testing/dockerize/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/dockerize/APKBUILD
diff --git a/testing/dockerize/APKBUILD b/testing/dockerize/APKBUILD
new file mode 100644
index 0000000..c59ccc8
--- /dev/null
+++ b/testing/dockerize/APKBUILD
_at__at_ -0,0 +1,39 @@
+# Maintainer: Chritsian Kampka <christian at kampka dot net>
+pkgname=dockerize
+pkgver=0.0.2
+pkgrel=1
+pkgdesc="Utility to simplify running applications in docker containers."
+url="https://github.com/jwilder/dockerize"
+arch="x86_64"
+license="MIT"
+makedepends="git go"
+source="$pkgname-$pkgver.tar.gz::$url/archive/v$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ export GOPATH="$_builddir"
+
+ go get github.com/robfig/glock
+ "${GOPATH}/bin/glock" sync ../
+ make dist
+}
+
+package() {
+ cd "$_builddir"
+ install -Dm755 dist/linux/amd64/dockerize \
+ "$pkgdir"/usr/bin/dockerize
+}
+md5sums="5aa46972d08af123a85d6ccd888503f3  dockerize-0.0.2.tar.gz"
+sha256sums="3a4b171e5290b69f9be2b420b6a2b1ec5db271819f6cfe3e5a6613a22dc82c12
 dockerize-0.0.2.tar.gz"
+sha512sums="a069f657a8ccefb6a91de98ac65035df3ffc4c0c693b968d38555f560758530e3c273efeab73a386883ff5b767a54489b34e811f11571e829b394f93fc87bd88
 dockerize-0.0.2.tar.gz"
-- 
2.4.5
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Jul 12 2015 - 17:48:13 GMT